Save a template project workspace
Validates the effective project tree and saves it as one Git commit on the template repository's default branch.
Validates the effective project tree and saves it as one Git commit on the template repository's default branch.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
expectedRevision*string
expectedHead*string
Match
^[a-f0-9]{40}$message*string
Length
1 <= length <= 512idempotencyKey*string
Length
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates/string/workspace/save" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": "string", "expectedHead": "string", "message": "string", "idempotencyKey": "string" }'{ "commit": "string", "parentCommit": "string", "tree": "string", "revision": "string", "changedPaths": [ "string" ], "sourceDigest": "string", "buildDigest": "string", "warnings": [ { "code": "string", "severity": "error", "message": "string", "origins": [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ], "clients": [ "string" ], "notes": "string", "provenance": "string", "fixtures": [ "string" ], "occurrences": [ [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ] ], "compatibility": { "assessment": "risk", "title": "string" } } ], "incompatibilities": [ { "code": "string", "severity": "error", "message": "string", "origins": [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ], "clients": [ "string" ], "notes": "string", "provenance": "string", "fixtures": [ "string" ], "occurrences": [ [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ] ], "compatibility": { "assessment": "risk", "title": "string" } } ]}